%define upstream_name    IPC-Pipeline
%define upstream_version 0.8

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Create a shell-like pipeline of many running commands
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/IPC/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
Similar in calling convention to IPC::Open3, pipeline() spawns N children,
connecting the first child to the FIRST_CHLD_IN handle, the final child to
LAST_CHLD_OUT, and each child to a shared standard error handle,
CHILDREN_ERR. Each subsequent filter specified causes a new process to be
fork()ed. Each process is linked to the last with a file descriptor pair
created by pipe(), using dup2() to chain each process' standard input to
the last standard output.

FEATURES
    IPC::Pipeline accepts external commands to be executed in the form of
    ARRAY references containing the command name and each argument, as well
    as CODE references that are executed within their own processes as
    well, each as independent parts of a pipeline.

    ARRAY REFS
        When a filter is passed in the form of an ARRAY containing an
        external system command, each such item is executed in its own
        subprocess in the following manner.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc COPYRIGHT Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.800.0-2.mga4
+ Revision: 527077
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.800.0-1.mga4
+ Revision: 439429
- update to 0.8

* Sun Jan 13 2013 umeabot <umeabot> 0.700.0-2.mga3
+ Revision: 368640
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Aug 26 2012 shlomif <shlomif> 0.700.0-1.mga3
+ Revision: 284078
- update to 0.7

* Thu May 31 2012 shlomif <shlomif> 0.600.0-1.mga3
+ Revision: 252270
- Correct 'CHANGES' to 'Changes'
- New version: 0.6
- Correct the license
- imported package perl-IPC-Pipeline


* Tue Apr 10 2012 cpan2dist 0.5-1mga
- initial mageia release, generated with cpan2dist
